[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.UpdateHandle

Updates the handle in the shared icon image top the specified value.

## Declaration

Source position: graphics.pp line 1647

`protected function TCustomIcon.UpdateHandle(`
`AValue: HICON`
`):Boolean; virtual;`

## Arguments

`AValue` |  | Handle compared to the shared icon image.

## Function result

True when the handle in the icon is different that the handle in the shared icon image.

## Description

UpdateHandle is a Boolean function used to update the shared icon image when the handle specified in AValue differs from the handle in the shared image.

The return value is True when the handles have different values on entry. UpdateHandle calls the UpdateFromHandle method in the TSharedIcon instance using AValue as an argument.

No actions are performed in the method when the return value is False.

UpdateHandle is called when a new value is assigned to the Handle property.